﻿
using System;
namespace HeuristicLab.Clients.Hive.SlaveCore {
  [Serializable]
  public enum ExecutorMessageType {
    JobStopped,
    JobFailed,
    NewChildJob,
    WaitForChildJobs,
    DeleteChildJobs,
    StopExecutorMonitoringThread
  }

  [Serializable]
  public class ExecutorMessage {
    public ExecutorMessageType MessageType { get; set; }

    public ExecutorMessage(ExecutorMessageType messageType) {
      MessageType = messageType;
    }

    public JobData MsgData { get; set; }
    public Job MsgJob { get; set; }
  }
}
